Browse Source

Sync with portage [Fri Dec 22 15:04:53 MSK 2017].

mhiretskiy 1034
root 4 years ago
parent
commit
1ae62506cb
  1. BIN
      Manifest.files.gz
  2. BIN
      app-admin/Manifest.gz
  3. 3
      app-admin/metalog/metadata.xml
  4. 2
      app-admin/r10k/metadata.xml
  5. 6
      app-admin/r10k/r10k-1.5.1-r1.ebuild
  6. 6
      app-admin/r10k/r10k-1.5.1-r2.ebuild
  7. 6
      app-admin/r10k/r10k-1.5.1.ebuild
  8. 1
      app-admin/rasdaemon/Manifest
  9. 18
      app-admin/rasdaemon/metadata.xml
  10. 39
      app-admin/rasdaemon/rasdaemon-0.6.0.ebuild
  11. 33
      app-admin/syslog-ng/files/patches/syslog-ng-3.12.1-json-c-0.13+.patch
  12. 9
      app-admin/syslog-ng/syslog-ng-3.12.1.ebuild
  13. 9
      app-admin/syslog-ng/syslog-ng-3.13.2.ebuild
  14. BIN
      app-arch/Manifest.gz
  15. 4
      app-arch/cksfv/metadata.xml
  16. 2
      app-arch/engrampa/engrampa-1.18.1.ebuild
  17. 4
      app-arch/funzix/metadata.xml
  18. 5
      app-arch/lcab/metadata.xml
  19. 2
      app-arch/tar/tar-1.29-r3.ebuild
  20. BIN
      app-backup/Manifest.gz
  21. 1
      app-backup/backintime/Manifest
  22. 77
      app-backup/backintime/backintime-1.1.12.ebuild
  23. 4
      app-backup/backintime/backintime-1.1.24.ebuild
  24. 87
      app-backup/backintime/backintime-9999.ebuild
  25. 3
      app-backup/burp/Manifest
  26. 115
      app-backup/burp/burp-1.4.40-r5.ebuild
  27. 112
      app-backup/burp/burp-2.0.54-r1.ebuild
  28. 111
      app-backup/burp/burp-2.0.54-r4.ebuild
  29. 113
      app-backup/burp/burp-2.1.20.ebuild
  30. 109
      app-backup/burp/burp-2.1.24-r1.ebuild
  31. 33
      app-backup/burp/files/1.4.40-bedup-conf-path.patch
  32. 13
      app-backup/burp/files/1.4.40-non-zero-or-build-failure.patch
  33. 22
      app-backup/burp/files/1.4.40-tinfo.patch
  34. 38
      app-backup/burp/files/burp-2.0.54-chuser_after_getting_lock.patch
  35. 7
      app-backup/burp/files/burp.initd
  36. 1
      app-backup/burp/files/burp.service
  37. 2
      app-backup/dar/Manifest
  38. 0
      app-backup/dar/dar-2.5.14.ebuild
  39. 1
      app-backup/luckybackup/Manifest
  40. 56
      app-backup/luckybackup/luckybackup-0.4.9.ebuild
  41. BIN
      app-cdr/Manifest.gz
  42. 1
      app-cdr/brasero/Manifest
  43. 85
      app-cdr/brasero/brasero-3.12.1-r1.ebuild
  44. 79
      app-cdr/brasero/brasero-3.12.1.ebuild
  45. 2
      app-cdr/brasero/brasero-3.12.2.ebuild
  46. 18
      app-cdr/brasero/files/brasero-3.12.1-libdvdcss.patch
  47. 2
      app-cdr/cdrdao/cdrdao-1.2.3-r4.ebuild
  48. 2
      app-cdr/dvd+rw-tools/dvd+rw-tools-7.1-r3.ebuild
  49. 4
      app-cdr/extract-xiso/metadata.xml
  50. 4
      app-cdr/xdvdfs-tools/metadata.xml
  51. BIN
      app-crypt/Manifest.gz
  52. 2
      app-crypt/argon2/argon2-20161029-r1.ebuild
  53. 1
      app-crypt/crackpkcs12/Manifest
  54. 17
      app-crypt/crackpkcs12/crackpkcs12-0.2.9.ebuild
  55. 4
      app-crypt/crackpkcs12/metadata.xml
  56. 1
      app-crypt/gnupg/Manifest
  57. 129
      app-crypt/gnupg/gnupg-2.2.4.ebuild
  58. 2
      app-crypt/heimdal/heimdal-7.5.0.ebuild
  59. 5
      app-crypt/osslsigncode/metadata.xml
  60. 1
      app-crypt/pinentry/Manifest
  61. 48
      app-crypt/pinentry/files/pinentry-0.9.7-require-CPP11-for-qt-5-7.patches
  62. 122
      app-crypt/pinentry/pinentry-0.9.7-r1.ebuild
  63. 4
      app-crypt/sbsigntool/metadata.xml
  64. 1
      app-crypt/yubikey-manager-qt/Manifest
  65. 5
      app-crypt/yubikey-manager-qt/metadata.xml
  66. 45
      app-crypt/yubikey-manager-qt/yubikey-manager-qt-0.4.0.ebuild
  67. 1
      app-crypt/yubikey-manager/Manifest
  68. 29
      app-crypt/yubikey-manager/yubikey-manager-0.5.0.ebuild
  69. 1
      app-crypt/zuluCrypt/Manifest
  70. 19
      app-crypt/zuluCrypt/metadata.xml
  71. 49
      app-crypt/zuluCrypt/zuluCrypt-5.1.0.ebuild
  72. 2
      app-crypt/zulucrypt/Manifest
  73. 26
      app-crypt/zulucrypt/metadata.xml
  74. 49
      app-crypt/zulucrypt/zulucrypt-5.1.0.ebuild
  75. 51
      app-crypt/zulucrypt/zulucrypt-5.4.0.ebuild
  76. BIN
      app-doc/Manifest.gz
  77. 2
      app-doc/doxygen/doxygen-1.8.13-r1.ebuild
  78. 2
      app-doc/doxygen/doxygen-1.8.13-r2.ebuild
  79. 10
      app-doc/doxygen/doxygen-9999.ebuild
  80. 4
      app-doc/linkers-and-loaders/metadata.xml
  81. 4
      app-doc/linux-gazette-all/metadata.xml
  82. 4
      app-doc/linux-gazette/metadata.xml
  83. 4
      app-doc/phrack-all/metadata.xml
  84. 4
      app-doc/phrack/metadata.xml
  85. BIN
      app-editors/Manifest.gz
  86. 4
      app-editors/curses-hexedit/metadata.xml
  87. 2
      app-editors/focuswriter/Manifest
  88. 54
      app-editors/focuswriter/focuswriter-1.6.5.ebuild
  89. 54
      app-editors/focuswriter/focuswriter-1.6.6.ebuild
  90. 2
      app-editors/focuswriter/focuswriter-1.6.7.ebuild
  91. 4
      app-editors/focuswriter/metadata.xml
  92. 1
      app-editors/gedit/Manifest
  93. 91
      app-editors/gedit/gedit-3.22.0.ebuild
  94. 2
      app-editors/gvim/gvim-8.0.1298.ebuild
  95. 4
      app-editors/nano/metadata.xml
  96. 2
      app-editors/pluma/pluma-1.18.2.ebuild
  97. 1
      app-editors/qxmledit/Manifest
  98. 73
      app-editors/qxmledit/qxmledit-0.9.9.ebuild
  99. 1
      app-editors/tea/Manifest
  100. 1
      app-editors/tea/metadata.xml

BIN
Manifest.files.gz

BIN
app-admin/Manifest.gz

3
app-admin/metalog/metadata.xml

@ -1,9 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>vapier@gentoo.org</email>
</maintainer>
<maintainer type="project">
<email>base-system@gentoo.org</email>
<name>Gentoo Base System</name>

2
app-admin/r10k/metadata.xml

@ -13,6 +13,6 @@
r10k provides a general purpose toolset for deploying Puppet environments and modules. It implements the Puppetfile format and provides a native implementation of Puppet dynamic environments.
</longdescription>
<upstream>
<remote-id type="github">adrienthebo/r10k</remote-id>
<remote-id type="github">puppetlabs/r10k</remote-id>
</upstream>
</pkgmetadata>

6
app-admin/r10k/r10k-1.5.1-r1.ebuild

@ -13,7 +13,7 @@ RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
inherit ruby-fakegem
DESCRIPTION="Puppet environment and module deployment"
HOMEPAGE="https://github.com/adrienthebo/r10k"
HOMEPAGE="https://github.com/puppetlabs/r10k"
LICENSE="Apache-2.0"
SLOT="0"
@ -51,7 +51,7 @@ pkg_postinst() {
ewarn "If you are upgrading from 1.1.0 and are using multiple sources, please read"
ewarn "this. (If not, feel free to continue with your regularly scheduled day.)"
ewarn
ewarn "GH-48 (https://github.com/adrienthebo/r10k/issues/48) introduced the ability"
ewarn "GH-48 (https://github.com/puppetlabs/r10k/issues/48) introduced the ability"
ewarn "for environments to be prefixed with the source name so that multiple sources"
ewarn "installed into the same directory would not overwrite each other. However"
ewarn "prefixing was automatically enabled and would break existing setups where"
@ -62,6 +62,6 @@ pkg_postinst() {
ewarn "to off. If you are relying on this behavior you will need to update your r10k.yaml"
ewarn "to enable prefixing on a per-source basis."
ewarn
ewarn "Please see the issue (https://github.com/adrienthebo/r10k/issues/48) for more"
ewarn "Please see the issue (https://github.com/puppetlabs/r10k/issues/48) for more"
ewarn "information."
}

6
app-admin/r10k/r10k-1.5.1-r2.ebuild

@ -13,7 +13,7 @@ RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
inherit ruby-fakegem
DESCRIPTION="Puppet environment and module deployment"
HOMEPAGE="https://github.com/adrienthebo/r10k"
HOMEPAGE="https://github.com/puppetlabs/r10k"
LICENSE="Apache-2.0"
SLOT="0"
@ -52,7 +52,7 @@ pkg_postinst() {
ewarn "If you are upgrading from 1.1.0 and are using multiple sources, please read"
ewarn "this. (If not, feel free to continue with your regularly scheduled day.)"
ewarn
ewarn "GH-48 (https://github.com/adrienthebo/r10k/issues/48) introduced the ability"
ewarn "GH-48 (https://github.com/puppetlabs/r10k/issues/48) introduced the ability"
ewarn "for environments to be prefixed with the source name so that multiple sources"
ewarn "installed into the same directory would not overwrite each other. However"
ewarn "prefixing was automatically enabled and would break existing setups where"
@ -63,6 +63,6 @@ pkg_postinst() {
ewarn "to off. If you are relying on this behavior you will need to update your r10k.yaml"
ewarn "to enable prefixing on a per-source basis."
ewarn
ewarn "Please see the issue (https://github.com/adrienthebo/r10k/issues/48) for more"
ewarn "Please see the issue (https://github.com/puppetlabs/r10k/issues/48) for more"
ewarn "information."
}

6
app-admin/r10k/r10k-1.5.1.ebuild

@ -13,7 +13,7 @@ RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
inherit ruby-fakegem
DESCRIPTION="Puppet environment and module deployment"
HOMEPAGE="https://github.com/adrienthebo/r10k"
HOMEPAGE="https://github.com/puppetlabs/r10k"
LICENSE="Apache-2.0"
SLOT="0"
@ -46,7 +46,7 @@ pkg_postinst() {
ewarn "If you are upgrading from 1.1.0 and are using multiple sources, please read"
ewarn "this. (If not, feel free to continue with your regularly scheduled day.)"
ewarn
ewarn "GH-48 (https://github.com/adrienthebo/r10k/issues/48) introduced the ability"
ewarn "GH-48 (https://github.com/puppetlabs/r10k/issues/48) introduced the ability"
ewarn "for environments to be prefixed with the source name so that multiple sources"
ewarn "installed into the same directory would not overwrite each other. However"
ewarn "prefixing was automatically enabled and would break existing setups where"
@ -57,6 +57,6 @@ pkg_postinst() {
ewarn "to off. If you are relying on this behavior you will need to update your r10k.yaml"
ewarn "to enable prefixing on a per-source basis."
ewarn
ewarn "Please see the issue (https://github.com/adrienthebo/r10k/issues/48) for more"
ewarn "Please see the issue (https://github.com/puppetlabs/r10k/issues/48) for more"
ewarn "information."
}

1
app-admin/rasdaemon/Manifest

@ -0,0 +1 @@
DIST rasdaemon-0.6.0.tar.bz2 361721 BLAKE2B af992c810024df4f553727b4aff4f4f1d41cb3f7e458ac91916ccbac6815b6ade697f0c49bf1e072205c7f872cfc9c2f7223fe0d3f090064ffaa0bab002d4f67 SHA512 cb363ee9968dab10951077edea6558adc235c2ba1a57294ccf2d483c49af3366bcec0a5857fe2b475a5407de850f706c44bfe4d8a80bcfb53b1c7e2d101ba72f

18
app-admin/rasdaemon/metadata.xml

@ -0,0 +1,18 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>prometheanfire@gentoo.org</email>
<name>Matthew Thode</name>
</maintainer>
<longdescription lang="en">
Rasdaemon is a RAS (Reliability, Availability and Serviceability) logging tool.
It currently records memory errors, using the EDAC tracing events.
EDAC is drivers in the Linux kernel that handle detection of ECC errors
from memory controllers for most chipsets on i386 and x86_64 architectures.
EDAC drivers for other architectures like arm also exists.
This userspace component consists of an init script which makes sure
EDAC drivers and DIMM labels are loaded at system startup, as well as
an utility for reporting current error counts from the EDAC sysfs files.
</longdescription>
</pkgmetadata>

39
app-admin/rasdaemon/rasdaemon-0.6.0.ebuild

@ -0,0 +1,39 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit systemd
DESCRIPTION="Reliability, Availability and Serviceability logging tool"
HOMEPAGE="http://www.infradead.org/~mchehab/rasdaemon/"
SRC_URI="http://www.infradead.org/~mchehab/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=""
RDEPEND="
${DEPEND}
sys-devel/gettext
dev-db/sqlite
sys-apps/dmidecode
"
src_configure() {
econf --enable-mce \
--enable-aer \
--enable-sqlite3 \
--enable-extlog \
--enable-abrt-report \
--enable-non-standard \
--enable-hisi-ns-decode \
--enable-arm
}
src_install() {
default
systemd_dounit misc/*.service
}

33
app-admin/syslog-ng/files/patches/syslog-ng-3.12.1-json-c-0.13+.patch

@ -0,0 +1,33 @@
From 1b824dd6389e209eab752d5a698c6093f311e3e3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Bj=C3=B6rn=20Esser?= <besser82@fedoraproject.org>
Date: Mon, 11 Dec 2017 15:46:06 +0100
Subject: [PATCH] modules/json: Adaptions for json-c v0.13
---
modules/json/json-parser.c | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/modules/json/json-parser.c b/modules/json/json-parser.c
index 0368ed8f7..356df48b9 100644
--- a/modules/json/json-parser.c
+++ b/modules/json/json-parser.c
@@ -20,6 +20,8 @@
* COPYING for details.
*/
+#define JSON_C_VER_013 (13 << 8)
+
#include "json-parser.h"
#include "dot-notation.h"
#include "scratch-buffers.h"
@@ -28,7 +30,10 @@
#include <ctype.h>
#include <json.h>
+
+#if (!defined(JSON_C_VERSION_NUM)) || (JSON_C_VERSION_NUM < JSON_C_VER_013)
#include <json_object_private.h>
+#endif
typedef struct _JSONParser
{

9
app-admin/syslog-ng/syslog-ng-3.12.1.ebuild

@ -33,16 +33,20 @@ RDEPEND="
spoof-source? ( net-libs/libnet:1.1 )
systemd? ( sys-apps/systemd )
tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
>=dev-libs/ivykis-0.36.1
>=dev-libs/libpcre-6.1
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
!dev-libs/eventlog
>=dev-libs/glib-2.10.1:2"
DEPEND="${RDEPEND}
>=dev-libs/ivykis-0.36.1
sys-devel/flex
virtual/pkgconfig"
PATCHES=(
"${FILESDIR}"/patches/${PN}-3.12.1-json-c-0.13+.patch
)
S=${WORKDIR}/${PN}-${MY_PV}
pkg_setup() {
@ -59,7 +63,6 @@ src_prepare() {
if use !json ; then
sed -i -e '/cim/d' scl/Makefile.am || die
eautoreconf
fi
for f in "${FILESDIR}"/*logrotate*.in ; do
@ -73,6 +76,8 @@ src_prepare() {
done
default
eautoreconf
}
src_configure() {

9
app-admin/syslog-ng/syslog-ng-3.13.2.ebuild

@ -33,16 +33,20 @@ RDEPEND="
spoof-source? ( net-libs/libnet:1.1 )
systemd? ( sys-apps/systemd )
tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
>=dev-libs/ivykis-0.36.1
>=dev-libs/libpcre-6.1
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
!dev-libs/eventlog
>=dev-libs/glib-2.10.1:2"
DEPEND="${RDEPEND}
>=dev-libs/ivykis-0.36.1
sys-devel/flex
virtual/pkgconfig"
PATCHES=(
"${FILESDIR}"/patches/${PN}-3.12.1-json-c-0.13+.patch
)
S=${WORKDIR}/${PN}-${MY_PV}
pkg_setup() {
@ -60,7 +64,6 @@ src_prepare() {
# drop scl modules requiring json
if use !json; then
sed -i -r '/cim|ewmm|graylog2/d' scl/Makefile.am || die
eautoreconf
fi
# use gentoo default path
@ -80,6 +83,8 @@ src_prepare() {
done
default
eautoreconf
}
src_configure() {

BIN
app-arch/Manifest.gz

4
app-arch/cksfv/metadata.xml

@ -1,8 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>vapier@gentoo.org</email>
</maintainer>
<!-- maintainer-needed -->
<longdescription>A Simple file verification tool to ensure that the files you recieve are the same as the originals.</longdescription>
</pkgmetadata>

2
app-arch/engrampa/engrampa-1.18.1.ebuild

@ -8,7 +8,7 @@ MATE_LA_PUNT="yes"
inherit mate
if [[ ${PV} != 9999 ]]; then
KEYWORDS="~amd64 ~arm ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
fi
DESCRIPTION="Engrampa archive manager for MATE"

4
app-arch/funzix/metadata.xml

@ -1,9 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>vapier@gentoo.org</email>
</maintainer>
<!-- maintainer-needed -->
<upstream>
<remote-id type="sourceforge">funzix</remote-id>
</upstream>

5
app-arch/lcab/metadata.xml

@ -1,8 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>vapier@gentoo.org</email>
<description>do whatever</description>
</maintainer>
<!-- maintainer-needed -->
</pkgmetadata>

2
app-arch/tar/tar-1.29-r3.ebuild

@ -12,7 +12,7 @@ SRC_URI="mirror://gnu/tar/${P}.tar.bz2
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="acl elibc_glibc minimal nls selinux static userland_GNU xattr"
RDEPEND="acl? ( virtual/acl )

BIN
app-backup/Manifest.gz

1
app-backup/backintime/Manifest

@ -1,2 +1 @@
DIST backintime-1.1.12.tar.gz 656192 BLAKE2B 724a3836a816fa921b6f150bc4214f01c200766d2be3e9a28bf3a818b1e43c73d73ca43bb52bacc9950d22be3faacfcee8f88a20f00362ea18cda236f3b2bd38 SHA512 e1dc3e3d2bac8b0f390898029978e806128ffd6005471a7e8a697c44f9e271f9902b496b33b037133f9a509f4ca3f8b8f10adf681b670ec9a1a751dfc786cb62
DIST backintime-1.1.24.tar.gz 658961 BLAKE2B 88255ea138f31c4540f54d2053616d4c8ce35f7c969b15a9c46422bfed4f0fd2cabb01e0cd4d1505fb84eee31daacb9da36c6bf71225f5b9a1d47d6941e571b2 SHA512 d16b6d3a710154ca8bddf80a8f06835efe84dd2f2435102e06a732f7e6e291b1954864298542658bab2b7bc42d5a6bf1d9338a98c66fd3f888c450b9685cc011

77
app-backup/backintime/backintime-1.1.12.ebuild

@ -1,77 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python3_{4,5} )
inherit eutils python-single-r1
DESCRIPTION="Backup system inspired by TimeVault and FlyBack, with a GUI for GNOME and KDE4"
HOMEPAGE="http://backintime.le-web.org/"
SRC_URI="http://${PN}.le-web.org/download/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="qt4"
DEPEND="${PYTHON_DEPS}
dev-python/dbus-python[${PYTHON_USEDEP}]
dev-python/keyring[${PYTHON_USEDEP}]
net-misc/openssh
net-misc/rsync[xattr,acl]"
RDEPEND="${DEPEND}
qt4? ( dev-python/PyQt4 )"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
src_prepare() {
#fix doc install location
sed -e "s:/doc/${PN}-common:/doc/${PF}:g" \
-i common/configure || die
sed -e "s:/doc/${PN}-qt4:/doc/${PF}:g" \
-i qt4/configure || die
sed -e "/addInstallFile \"..\/VERSION/d" \
-e "/addInstallFile \"..\/LICENSE/d" \
-e "/addInstallFile \"..\/debian\/copyright/d" \
-i {qt4,common}/configure || die
if [ -n ${LINGUAS+x} ] ; then
cd common/po || die
for po in *.po ; do
if ! has ${po/.po} ${LINGUAS} ; then
rm ${po} || die
fi
done
fi
}
src_configure() {
cd "${S}"/common || die
./configure --python3 --no-fuse-group || die
if use qt4 ; then
cd "${S}"/qt4 || die
./configure --python3 || die
fi
}
src_compile() {
cd "${S}"/common || die
emake
if use qt4 ; then
cd "${S}"/qt4 || die
emake
fi
}
src_install() {
cd "${S}"/common || die
emake DESTDIR="${D}" install
if use qt4 ; then
cd "${S}"/qt4 || die
emake DESTDIR="${D}" install
fi
python_optimize "${D}"
}

4
app-backup/backintime/backintime-1.1.24.ebuild

@ -3,12 +3,12 @@
EAPI=6
PYTHON_COMPAT=( python3_{4,5} )
PYTHON_COMPAT=( python3_{4,5,6} )
inherit eutils python-single-r1 gnome2-utils
DESCRIPTION="Backup system inspired by TimeVault and FlyBack, with a GUI for GNOME and KDE4"
HOMEPAGE="https://backintime.readthedocs.io/"
HOMEPAGE="https://backintime.readthedocs.io/ https://github.com/bit-team/backintime/"
SRC_URI="https://github.com/bit-team/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"

87
app-backup/backintime/backintime-9999.ebuild

@ -0,0 +1,87 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python3_{4,5,6} )
inherit eutils python-single-r1 gnome2-utils git-r3
DESCRIPTION="Backup system inspired by TimeVault and FlyBack, with a GUI for GNOME and KDE4"
HOMEPAGE="https://backintime.readthedocs.io/ https://github.com/bit-team/backintime/"
EGIT_REPO_URI="https://github.com/bit-team/backintime/"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS=""
IUSE="qt5"
DEPEND="${PYTHON_DEPS}
dev-python/dbus-python[${PYTHON_USEDEP}]
dev-python/keyring[${PYTHON_USEDEP}]
net-misc/openssh
net-misc/rsync[xattr,acl]"
RDEPEND="${DEPEND}
qt5? ( dev-python/PyQt5 )"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
src_prepare() {
#fix doc install location
sed -e "s:/doc/${PN}-common:/doc/${PF}:g" \
-i common/configure || die
sed -e "s:/doc/${PN}-qt:/doc/${PF}:g" \
-i qt/configure || die
sed -e "/addInstallFile \"..\/VERSION/d" \
-e "/addInstallFile \"..\/LICENSE/d" \
-e "/addInstallFile \"..\/debian\/copyright/d" \
-i {qt,common}/configure || die
if [ -n ${LINGUAS+x} ] ; then
cd common/po || die
for po in *.po ; do
if ! has ${po/.po} ${LINGUAS} ; then
rm ${po} || die
fi
done
fi
default
}
src_configure() {
cd "${S}"/common || die
./configure --python3 --no-fuse-group || die
if use qt5 ; then
cd "${S}"/qt || die
./configure --python3 || die
fi
}
src_compile() {
cd "${S}"/common || die
emake
if use qt5 ; then
cd "${S}"/qt || die
emake
fi
}
src_install() {
cd "${S}"/common || die
emake DESTDIR="${D}" install
if use qt5 ; then
cd "${S}"/qt || die
emake DESTDIR="${D}" install
fi
python_optimize "${D}"
}
pkg_postinst() {
gnome2_icon_cache_update
}
pkg_postrm() {
gnome2_icon_cache_update
}

3
app-backup/burp/Manifest

@ -1,4 +1,3 @@
DIST burp-1.4.40.tar.bz2 712937 BLAKE2B b6d9496ba8693db82f1f8119e3fc643c4bd533f448beecc9846a5e5f3b558d4bbf6539d764cf2ae9c1b328fae217bad7665ec0e491e903174583541879d4c841 SHA512 b44ba3a63d3b75f6fee55bbfef70ac07fa87e78ddb22a398e31a86670dfa3f2db1c9dbc58de3d0038cdc409bd5ae52c8e901cb26975fd7dbe0f773c4841af10c
DIST burp-2.0.54.tar.gz 558845 BLAKE2B f6a868b09ad73e3b8aa171993849c8fec43c141d14a64ba7919ad73890905647741688d2f0c0b01ef2a584474ecd1464423b07279160d86c7f37d1bf37a384a7 SHA512 dccc4d3679dd759028cd6b71d09ae4e49a511e5d94b4df2f112ad974abb507bbc8fffaf63ef85c847b0f9363b20a9e817179ab556c5a788acacb7a25e7600fa4
DIST burp-2.1.20.tar.gz 579488 BLAKE2B 6a89456b75caacb9079b845eb5b443fd0b6872e7dac9e94ed11fc05a0005211a5a9311a9f609eb88230c817f6576b7b8bc80d05339cb7e7097ad726ffa838945 SHA512 5937187e0c93e21b4e3f4ab92f05589f8da56c774cf86644f095a0bff93c127911b2d513c04e380188956c2a97fb01ce471bb746d630baa5d30e6a70b53a0389
DIST burp-2.1.22.tar.gz 582938 BLAKE2B dbc0b7612e9cda2186d16426ec1a39559af965fcbc393259e5d4d1f376c666e8532f25dbe51d2ec816fc2e630f81b059c77aee572c562bf47f466f4114e875fd SHA512 028b48c585cdc607eb00af5f60e01541a54885b8084e0353d01b1e01744848967011cd330a443ae143884852c2dbc18fb25f364ce129a31ccbcf0f8d25ccb730
DIST burp-2.1.24.tar.gz 586055 BLAKE2B 6186e791e8b0cea74ecfbd4a85624f2492bd2721e705d8f5fb6783eb03390c7c10d88e4e4e33095aff985c70e6da59b3bb3b0f652cc850f443dabef23517c05f SHA512 b23f5e33510493e08b9b6eda405a017c8f75811fa18c9bcb6f96fbf716a79934e6c714f1258c39a81dcc52ef1a88e3629a0862bbd2462fbdc30cc7fb1b117ba6

115
app-backup/burp/burp-1.4.40-r5.ebuild

@ -1,115 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit autotools eutils user
DESCRIPTION="Network backup and restore client and server for Unix and Windows"
HOMEPAGE="http://burp.grke.org/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2
http://burp.grke.org/downloads/${P}/${P}.tar.bz2"
LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="acl afs ipv6 libressl nls tcpd xattr"
DEPEND="
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
dev-libs/uthash
sys-libs/libcap
~net-libs/librsync-0.9.7
sys-libs/ncurses:0=
sys-libs/zlib
acl? ( sys-apps/acl )
afs? ( net-fs/openafs )
nls? ( sys-devel/gettext )
tcpd? ( sys-apps/tcp-wrappers )
xattr? ( sys-apps/attr )
"
RDEPEND="${DEPEND}
virtual/logger
"
DOCS=( CONTRIBUTORS DONATIONS UPGRADING )
PATCHES=(
"${FILESDIR}/${PV}-non-zero-or-build-failure.patch"
"${FILESDIR}/${PV}-bedup-conf-path.patch"
"${FILESDIR}/${PV}-tinfo.patch"
)
pkg_setup() {
enewgroup "${PN}"
enewuser "${PN}" -1 "" "" "${PN}"
}
src_prepare() {
epatch "${PATCHES[@]}"
eautoreconf
sed -e '/autoupgrade/d' -i "${S}"/Makefile.in || die
rm "${S}"/docs/autoupgrade.txt || die
}
src_configure() {
local myeconfargs=(
--sbindir=/usr/sbin
--sysconfdir=/etc/burp
--enable-largefile
$(use_enable acl)
$(use_enable afs)
$(use_enable ipv6)
$(use_enable nls)
$(use_enable xattr)
$(use_with tcpd tcp-wrappers)
)
econf "${myeconfargs[@]}"
}
src_install() {
default
fowners root:burp /etc/burp
fperms 0775 /etc/burp
fowners root:burp /etc/burp/burp-server.conf
fperms 0640 /etc/burp/burp-server.conf
fowners root:burp /etc/burp/clientconfdir
fperms 0750 /etc/burp/clientconfdir
fowners root:burp /var/spool/burp
fperms 0770 /var/spool/burp
newinitd "${FILESDIR}"/${PN}.initd ${PN}
dodoc docs/*
local scripts_dir=/usr/share/burp/scripts
dodir "${scripts_dir}"
local script
for script in notify_script ssl_extra_checks_script summary_script \
timer_script; do
mv "${D}etc/burp/${script}" "${D}${scripts_dir}/" || die
sed -r \
-e "s|(=\\s*)/etc/burp/${script}\\s*$|\1${scripts_dir}/${script}|" \
-i "${D}etc/burp/burp-server.conf" \
|| die
done
sed -e '/autoupgrade/d' -i "${D}etc/burp/burp.conf" || die
sed -e '/autoupgrade/,+1d' -i "${D}etc/burp/burp-server.conf" || die
sed -e 's|^# user=graham|user = burp|' \
-e 's|^# group=nogroup|group = burp|' \
-e 's|^pidfile = .*|lockfile = /run/lock/burp/server.lock|' \
-i "${D}etc/burp/burp-server.conf" || die
}
pkg_postinst() {
if [[ ! -e /etc/burp/CA/index.txt ]]; then
elog "At first run burp server will generate DH parameters and SSL"
elog "certificates. You should adjust configuration before."
elog "Server configuration is located at"
elog ""
elog " /etc/burp/burp-server.conf"
elog ""
fi
}

112
app-backup/burp/burp-2.0.54-r1.ebuild

@ -1,112 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools systemd tmpfiles user versionator
DESCRIPTION="Network backup and restore client and server for Unix and Windows"
HOMEPAGE="http://burp.grke.org/"
SRC_URI="https://github.com/grke/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="acl ipv6 libressl test xattr"
CDEPEND="dev-libs/uthash
net-libs/librsync
sys-libs/ncurses:0=
sys-libs/zlib
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
acl? ( sys-apps/acl )
xattr? ( sys-apps/attr )"
DEPEND="${CDEPEND}
test? ( dev-libs/check )"
RDEPEND="${CDEPEND}
virtual/logger"
PATCHES=(
"${FILESDIR}"/${PN}-2.0.54-no_mkdir_run.patch
"${FILESDIR}"/${PN}-2.0.54-protocol1_by_default.patch
"${FILESDIR}"/${PN}-2.0.54-server_user.patch
)
pkg_setup() {
enewgroup "${PN}"
enewuser "${PN}" -1 "" "" "${PN}"
}
src_prepare() {
default
eautoreconf
}
src_configure() {
local myeconfargs=(
--localstatedir=/var
--sysconfdir=/etc/burp
--enable-largefile
$(use_enable acl)
$(use_enable ipv6)
$(use_enable xattr)
)
# --runstatedir option will only work from autoconf-2.70 onwards
runstatedir='/run/burp' \
econf "${myeconfargs[@]}"
}
src_install() {
default
fowners -R root:${PN} /var/spool/burp
fperms 0770 /var/spool/burp
emake DESTDIR="${D}" install-configs
fowners -R root:${PN} /etc/burp
fperms 0775 /etc/burp
fperms 0640 /etc/burp/burp-server.conf
fperms 0750 /etc/burp/clientconfdir
newinitd "${FILESDIR}"/${PN}2.initd ${PN}
systemd_dounit "${FILESDIR}"/${PN}.service
newtmpfiles "${FILESDIR}"/${PN}.tmpfiles ${PN}.conf
}
pkg_postinst() {
tmpfiles_process ${PN}.conf
elog "Burp ebuilds now support the autoupgrade mechanism in both"
elog "client and server mode. In both cases it is disabled by"
elog "default. You almost certainly do NOT want to enable it in"
elog "client mode because upgrades obtained this way will not be"
elog "managed by Portage."
if [[ ! -e /etc/burp/CA/index.txt ]]; then
elog ""
elog "At first run burp server will generate DH parameters and SSL"
elog "certificates. You should adjust configuration before."
elog "Server configuration is located at"
elog ""
elog " /etc/burp/burp-server.conf"
elog ""
fi
# According to PMS this can be a space-separated list of version
# numbers, even though in practice it is typically just one.
local oldver
for oldver in ${REPLACING_VERSIONS}; do
if [[ $(get_major_version ${oldver}) -lt 2 ]]; then
ewarn "Starting with version 2.0.54 we no longer patch bedup to use"
ewarn "the server config file by default. If you use bedup, please"
ewarn "update your scripts to invoke it as"
ewarn ""
ewarn " bedup -c /etc/burp/burp-server.conf"
ewarn ""
ewarn "Otherwise deduplication will not work!"
break
fi
done
}

111
app-backup/burp/burp-2.0.54-r4.ebuild

@ -0,0 +1,111 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools systemd user versionator
DESCRIPTION="Network backup and restore client and server for Unix and Windows"
HOMEPAGE="http://burp.grke.org/"
SRC_URI="https://github.com/grke/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="acl ipv6 libressl test xattr"
CDEPEND="dev-libs/uthash
net-libs/librsync
sys-libs/ncurses:0=
sys-libs/zlib
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
acl? ( sys-apps/acl )
xattr? ( sys-apps/attr )"
DEPEND="${CDEPEND}
virtual/pkgconfig
test? ( dev-libs/check )"
RDEPEND="${CDEPEND}
virtual/logger"
PATCHES=(
"${FILESDIR}"/${PN}-2.0.54-ncurses_pkg-config.patch
"${FILESDIR}"/${PN}-2.0.54-no_mkdir_run.patch
"${FILESDIR}"/${PN}-2.0.54-protocol1_by_default.patch
"${FILESDIR}"/${PN}-2.0.54-server_user.patch
"${FILESDIR}"/${PN}-2.0.54-chuser_after_getting_lock.patch
)
pkg_setup() {
enewgroup "${PN}"
enewuser "${PN}" -1 "" "" "${PN}"
}
src_prepare() {
default
eautoreconf
}
src_configure() {
local myeconfargs=(
--localstatedir=/var
--sysconfdir=/etc/burp
--enable-largefile
$(use_enable acl)
$(use_enable ipv6)
$(use_enable xattr)
)
# --runstatedir option will only work from autoconf-2.70 onwards
runstatedir='/run' \
econf "${myeconfargs[@]}"
}
src_install() {
default
fowners -R root:${PN} /var/spool/burp
fperms 0770 /var/spool/burp
emake DESTDIR="${D}" install-configs
fowners -R root:${PN} /etc/burp
fperms 0750 /etc/burp
fperms 0640 /etc/burp/burp-server.conf
fperms 0750 /etc/burp/clientconfdir
newinitd "${FILESDIR}"/${PN}.initd ${PN}
systemd_dounit "${FILESDIR}"/${PN}.service
}
pkg_postinst() {
elog "Burp ebuilds now support the autoupgrade mechanism in both"
elog "client and server mode. In both cases it is disabled by"
elog "default. You almost certainly do NOT want to enable it in"
elog "client mode because upgrades obtained this way will not be"
elog "managed by Portage."
if [[ ! -e /etc/burp/CA/index.txt ]]; then
elog ""
elog "At first run burp server will generate DH parameters and SSL"
elog "certificates. You should adjust configuration before."
elog "Server configuration is located at"
elog ""
elog " /etc/burp/burp-server.conf"
elog ""
fi
# According to PMS this can be a space-separated list of version
# numbers, even though in practice it is typically just one.
local oldver
for oldver in ${REPLACING_VERSIONS}; do
if [[ $(get_major_version ${oldver}) -lt 2 ]]; then
ewarn "Starting with version 2.0.54 we no longer patch bedup to use"
ewarn "the server config file by default. If you use bedup, please"
ewarn "update your scripts to invoke it as"
ewarn ""
ewarn " bedup -c /etc/burp/burp-server.conf"
ewarn ""
ewarn "Otherwise deduplication will not work!"
break
fi
done
}

113
app-backup/burp/burp-2.1.20.ebuild

@ -1,113 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools systemd tmpfiles user versionator
DESCRIPTION="Network backup and restore client and server for Unix and Windows"
HOMEPAGE="http://burp.grke.org/"
SRC_URI="https://github.com/grke/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="acl ipv6 libressl test xattr"
CDEPEND="dev-libs/uthash
net-libs/librsync
sys-libs/ncurses:0=
sys-libs/zlib
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
acl? ( sys-apps/acl )
xattr? ( sys-apps/attr )"
DEPEND="${CDEPEND}
virtual/pkgconfig
test? ( dev-libs/check )"
RDEPEND="${CDEPEND}
virtual/logger"
PATCHES=(
"${FILESDIR}"/${PN}-2.1.20-no_mkdir_run.patch
"${FILESDIR}"/${PN}-2.1.20-protocol1_by_default.patch
"${FILESDIR}"/${PN}-2.0.54-server_user.patch
)
pkg_setup() {
enewgroup "${PN}"
enewuser "${PN}" -1 "" "" "${PN}"
}
src_prepare() {
default
eautoreconf
}
src_configure() {
local myeconfargs=(
--localstatedir=/var
--sysconfdir=/etc/burp
--enable-largefile
$(use_enable acl)
$(use_enable ipv6)
$(use_enable xattr)
)
# --runstatedir option will only work from autoconf-2.70 onwards
runstatedir='/run/burp' \
econf "${myeconfargs[@]}"
}
src_install() {
default
fowners -R root:${PN} /var/spool/burp
fperms 0770 /var/spool/burp
emake DESTDIR="${D}" install-configs
fowners -R root:${PN} /etc/burp
fperms 0775 /etc/burp
fperms 0640 /etc/burp/burp-server.conf
fperms 0750 /etc/burp/clientconfdir
newinitd "${FILESDIR}"/${PN}2.initd ${PN}
systemd_dounit "${FILESDIR}"/${PN}.service
newtmpfiles "${FILESDIR}"/${PN}.tmpfiles ${PN}.conf
}
pkg_postinst() {
tmpfiles_process ${PN}.conf
elog "Burp ebuilds now support the autoupgrade mechanism in both"
elog "client and server mode. In both cases it is disabled by"
elog "default. You almost certainly do NOT want to enable it in"
elog "client mode because upgrades obtained this way will not be"
elog "managed by Portage."
if [[ ! -e /etc/burp/CA/index.txt ]]; then
elog ""
elog "At first run burp server will generate DH parameters and SSL"
elog "certificates. You should adjust configuration before."
elog "Server configuration is located at"
elog ""
elog " /etc/burp/burp-server.conf"
elog ""
fi
# According to PMS this can be a space-separated list of version
# numbers, even though in practice it is typically just one.
local oldver
for oldver in ${REPLACING_VERSIONS}; do
if [[ $(get_major_version ${oldver}) -lt 2 ]]; then
ewarn "Starting with version 2.0.54 we no longer patch bedup to use"
ewarn "the server config file by default. If you use bedup, please"
ewarn "update your scripts to invoke it as"
ewarn ""
ewarn " bedup -c /etc/burp/burp-server.conf"
ewarn ""
ewarn "Otherwise deduplication will not work!"
break
fi
done
}

109
app-backup/burp/burp-2.1.24-r1.ebuild

@ -0,0 +1,109 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools systemd user versionator
DESCRIPTION="Network backup and restore client and server for Unix and Windows"
HOMEPAGE="http://burp.grke.org/"
SRC_URI="https://github.com/grke/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="acl ipv6 libressl test xattr"
CDEPEND="dev-libs/uthash
net-libs/librsync
sys-libs/ncurses:0=
sys-libs/zlib
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
acl? ( sys-apps/acl )
xattr? ( sys-apps/attr )"
DEPEND="${CDEPEND}
virtual/pkgconfig
test? ( dev-libs/check )"
RDEPEND="${CDEPEND}
virtual/logger"
PATCHES=(
"${FILESDIR}"/${PN}-2.1.20-no_mkdir_run.patch
"${FILESDIR}"/${PN}-2.1.20-protocol1_by_default.patch
"${FILESDIR}"/${PN}-2.0.54-server_user.patch
)
pkg_setup() {
enewgroup "${PN}"
enewuser "${PN}" -1 "" "" "${PN}"
}
src_prepare() {
default
eautoreconf
}
src_configure() {
local myeconfargs=(
--localstatedir=/var
--sysconfdir=/etc/burp
--enable-largefile
$(use_enable acl)
$(use_enable ipv6)
$(use_enable xattr)
)
# --runstatedir option will only work from autoconf-2.70 onwards
runstatedir='/run' \
econf "${myeconfargs[@]}"
}
src_install() {
default
fowners -R root:${PN} /var/spool/burp
fperms 0770 /var/spool/burp
emake DESTDIR="${D}" install-configs
fowners -R root:${PN} /etc/burp
fperms 0750 /etc/burp
fperms 0640 /etc/burp/burp-server.conf
fperms 0750 /etc/burp/clientconfdir
newinitd "${FILESDIR}"/${PN}.initd ${PN}
systemd_dounit "${FILESDIR}"/${PN}.service
}
pkg_postinst() {
elog "Burp ebuilds now support the autoupgrade mechanism in both"
elog "client and server mode. In both cases it is disabled by"
elog "default. You almost certainly do NOT want to enable it in"
elog "client mode because upgrades obtained this way will not be"
elog "managed by Portage."
if [[ ! -e /etc/burp/CA/index.txt ]]; then
elog ""
elog "At first run burp server will generate DH parameters and SSL"
elog "certificates. You should adjust configuration before."
elog "Server configuration is located at"
elog ""
elog " /etc/burp/burp-server.conf"
elog ""
fi
# According to PMS this can be a space-separated list of version
# numbers, even though in practice it is typically just one.
local oldver
for oldver in ${REPLACING_VERSIONS}; do
if [[ $(get_major_version ${oldver}) -lt 2 ]]; then
ewarn "Starting with version 2.0.54 we no longer patch bedup to use"
ewarn "the server config file by default. If you use bedup, please"
ewarn "update your scripts to invoke it as"
ewarn ""
ewarn " bedup -c /etc/burp/burp-server.conf"
ewarn ""
ewarn "Otherwise deduplication will not work!"
break
fi
done
}

33
app-backup/burp/files/1.4.40-bedup-conf-path.patch

@ -1,33 +0,0 @@
diff -Naur burp/manpages/bedup.8 burp.new/manpages/bedup.8
--- burp/manpages/bedup.8 2014-10-28 12:45:26.000000000 +0100
+++ burp.new/manpages/bedup.8 2014-11-21 09:49:57.705796144 +0100
@@ -16,7 +16,7 @@
.SH OPTIONS
.TP
\fB\-c\fR \fBpath\fR
-Path to config file (default: /etc/burp/burp.conf).
+Path to config file (default: /etc/burp/burp-server.conf).
.TP
\fB\-g\fR \fB<list of group names>\fR
Only run on the directories of clients that are in one of the groups specified. The list is comma-separated. To put a client in a group, use the 'dedup_group' option in the client configuration file on the server.
@@ -42,7 +42,7 @@
\fB\-V\fR \fB\fR
Print version and exit.\fR
.TP
-By default, bedup will read /etc/burp/burp.conf and deduplicate client storage directories using special knowledge of the structure.\fR
+By default, bedup will read /etc/burp/burp-server.conf and deduplicate client storage directories using special knowledge of the structure.\fR
.TP
With '\-n', this knowledge is turned off and you have to specify the directories to deduplicate on the command line. Running with '\-n' is therefore dangerous if you are deduplicating burp storage directories.
diff -Naur burp/src/bedup.c burp.new/src/bedup.c
--- burp/src/bedup.c 2014-10-28 12:45:56.000000000 +0100
+++ burp.new/src/bedup.c 2014-11-20 21:39:28.728206536 +0100
@@ -740,7 +740,7 @@
static char *get_config_path(void)
{
static char path[256]="";
- snprintf(path, sizeof(path), "%s", SYSCONFDIR "/burp.conf");
+ snprintf(path, sizeof(path), "%s", SYSCONFDIR "/burp-server.conf");
return path;
}

13
app-backup/burp/files/1.4.40-non-zero-or-build-failure.patch

@ -1,13 +0,0 @@
diff --git a/Makefile.in b/Makefile.in
index ac22a24..f99ce96 100755
--- a/Makefile.in
+++ b/Makefile.in
@@ -40,7 +40,7 @@ all: Makefile
@for I in ${all_subdirs}; \
do (cd $$I; echo "==>Entering directory `pwd`"; \
$(MAKE) $@ || (echo ""; echo ""; echo " ====== Error in `pwd` ======"; \
- echo ""; echo "";)); \
+ echo ""; echo ""; exit 1;)) || exit 1; \
done
depend:

22
app-backup/burp/files/1.4.40-tinfo.patch

@ -1,22 +0,0 @@
diff -Naur burp/configure.ac burp-new/configure.ac
--- burp/configure.ac 2014-10-28 12:45:56.000000000 +0100
+++ burp-new/configure.ac 2014-11-10 17:40:50.996955441 +0100
@@ -1203,13 +1203,12 @@
fi
AC_CHECK_HEADERS(ncurses.h)
-AC_CHECK_LIB(ncurses, curs_set, [NCURSES_LIBS="-lncurses"])
have_ncurses=no
-if test x$NCURSES_LIBS = x-lncurses; then
- AC_DEFINE(HAVE_NCURSES, 1, [Defined to 1 if libncurses was found])
- have_ncurses=yes
-fi
-AC_SUBST(NCURSES_LIBS)
+AC_CHECK_LIB(ncurses, endwin,
+ [NCURSES_LIBS="-lncurses"; have_ncurses=yes]
+ AC_SEARCH_LIBS(curs_set, tinfo, [NCURSES_LIBS="$NCURSES_LIBS $ac_res"]),
+ AC_DEFINE(HAVE_NCURSES, 1, [Defined to 1 if libncurses was found])
+ AC_SUBST(NCURSES_LIBS))
dnl
dnl Check if we have AFS on this system

38
app-backup/burp/files/burp-2.0.54-chuser_after_getting_lock.patch

@ -0,0 +1,38 @@
From f765ad2c9f421eefcd3afc447ed45fa3fd2d17a0 Mon Sep 17 00:00:00 2001
From: Graham Keeling <grke@grke.net>
Date: Sun, 13 Aug 2017 11:50:54 +0000
Subject: [PATCH] Drop privileges after main pidfile creation.
Change-Id: I762541db55e7884531e4d869e1a86533df71b5b8
---
src/prog.c | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/src/prog.c b/src/prog.c
index 244590d3..b94df6d3 100644
--- a/src/prog.c
+++ b/src/prog.c
@@ -111,11 +111,6 @@ int reload(struct conf **confs, const char *conffile, bool firsttime)
setup_signals();
#endif
- // Do not try to change user or group after the first time.
- if(firsttime && chuser_and_or_chgrp(
- get_string(confs[OPT_USER]), get_string(confs[OPT_GROUP])))
- return -1;
-
return 0;
}
@@ -486,6 +481,11 @@ int real_main(int argc, char *argv[])
}
}
+ // Change privileges after having got the lock, for convenience.
+ if(chuser_and_or_chgrp(
+ get_string(confs[OPT_USER]), get_string(confs[OPT_GROUP])))
+ return -1;
+
set_int(confs[OPT_OVERWRITE], forceoverwrite);
set_int(confs[OPT_STRIP], strip);
set_int(confs[OPT_FORK], forking);

7
app-backup/burp/files/burp.initd

@ -1,5 +1,5 @@
#!/sbin/openrc-run
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
BURP_CONFIG="/etc/burp/burp-server.conf"
@ -9,8 +9,8 @@ description="Burp is a network backup and restore program"
command="/usr/sbin/burp"
command_args="-c '${BURP_CONFIG}' -F"
command_background="yes"
pidfile="/run/burp-server.pid"
start_stop_daemon_arg="--make-pidfile --wait 500"
pidfile="/run/burp.server.pid"
start_stop_daemon_arg="--wait 500"
extra_started_commands="reload summary"
description_reload="Reloads configuration"
@ -31,7 +31,6 @@ start_pre() {
checkpath -o root:burp -m 0775 -d /etc/burp
checkpath -o root:burp -m 0640 -f /etc/burp/burp-server.conf
checkpath -o root:burp -m 0750 -d /etc/burp/clientconfdir
checkpath -o burp:burp -m 0775 -d /run/lock/burp
checkpath -o root:burp -m 0770 -d "$(get_backup_dir)"
}

1
app-backup/burp/files/burp.service

@ -4,7 +4,6 @@ After=network.target
[Service]
Type=simple
PIDFile=/run/burp/burp.server.pid
ExecStart=/usr/sbin/burp -F -c /etc/burp/burp-server.conf
[Install]

2
app-backup/dar/Manifest

@ -1,3 +1,3 @@
DIST dar-2.5.11.tar.gz 1891928 BLAKE2B 536cccca2533f7ddbc8b95972fe00e9c87a404481e6afbd7aa3634c00598403c18950eb876aefe71a818c3bf4df75bff5f3904dc69bd1d75880f6c8a349911a5 SHA512 36b90218a34ac7f41ce9ca0a2167cfb2fd243b23b8e84350153e8804f0faabf87291b4e4b061533bcb0ca079f087c074eeaa12a54ee8084dd386a072ac503847
DIST dar-2.5.12.tar.gz 1893694 BLAKE2B bbd364928377fc9c4b3c9cec47dd66abe2c02d7366f8373882664e263dbe29978d49ac73f3e4dbdb15d586d290807ef127c4142c8df22a04b6fc3aec11b13307 SHA512 58eafe69c730d8f3974a1b1e8f7ca67feee82babde9ba9577ef29c422861db2b29afa835c9b55160e5d226efb634b539a580845e429d08fd84beeb6f0d39be7e
DIST dar-2.5.13.tar.gz 1903994 BLAKE2B 9e58e2d86d38203364f23b506d957fb78b1b6d33df780a2711aab13913e50ce83726fed9301bcfe7975987bef6b3b8de45a30ad32c4e0b9a2d3b5db14e8a108e SHA512 759a54c07bee787a02f751db4ecb4036fa578224ba69779e784ea4edebf3d9feb3547414fe605c0f655bb4ac364575638ae35aab952df1f6610dd436bc70b444
DIST dar-2.5.14.tar.gz 1904398 BLAKE2B 073423b338be6e6f31bb31f0fe29980670a62ab6e6f768b31d99c464763e6598adecfe2446ab08f7e6543dff74b9f4a978a56da309ce61168c1629d22e112c6a SHA512 035866bd891ff12adbcd18a78fa6f2475c232182b24e35aaf7c3c41c30e6298c4e655ea5a93b9be050c6dee332e2b7913f75e3d399cbee96a1f1d3101d33fbbc

0
app-backup/dar/dar-2.5.12.ebuild → app-backup/dar/dar-2.5.14.ebuild

1
app-backup/luckybackup/Manifest

@ -1 +1,2 @@
DIST luckybackup-0.4.8.tar.gz 5710203 BLAKE2B a0efe350aecaae759cb8c7d2f51eeaa71caa7b267064ccb0a49f44465df53b6b2a41ebbd6794a5bdd2b44b8d1a402648da0ff243880237c6e3d64d505b5d5bd9 SHA512 48e73f8b5897a09f64f3755dc094ef50031c607ecfca25c238b45ca5bef7f2645081b7c665a9b7c3c3da2f214f91b229a559d723df8ddb6446aa23e68b266076
DIST luckybackup-0.4.9.tar.gz 5954338 BLAKE2B 632738f8c422ba7d56536fae866ce31d224910b41495e4df3be28a8013ba776e30b4d8e70ceb26c92d28aaf70c96402f27687c55d8f5d7aa5d405bab506a66be SHA512 86d6f1bd84f3bfd89734f0f2066cb17bbf9b4ede96167398de03a460c14d24bf4b50a91bb380655ace9a23497271e102b940ea99a7595cf17f596660dae7f7dd

56
app-backup/luckybackup/luckybackup-0.4.9.ebuild

@ -0,0 +1,56 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit qmake-utils
DESCRIPTION="Powerful and flexible backup (and syncing) tool, using RSync and Qt"
HOMEPAGE="http://luckybackup.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="
dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
"
RDEPEND="${DEPEND}
net-misc/rsync"
DOCS=( readme/{AUTHORS,README,TODO,TRANSLATIONS,changelog} )
src_prepare() {
sed -i \
-e "s:/usr/share/doc/${PN}:/usr/share/doc/${PF}:g" \
-e "s:/usr/share/doc/packages/${PN}:/usr/share/doc/${PF}:g" \
luckybackup.pro src/global.cpp || die "sed failed"
# The su-to-root command is an ubuntu-specific script so it will
# not work with Gentoo. No reason to have it anyway.
sed -i -e "/^Exec/s:=.*:=/usr/bin/${PN}:" menu/${PN}-gnome-su.desktop \
|| die "failed to remove su-to-root"
# causes empty directory to be installed
sed -i -e '/^INSTALLS/s/debianmenu //' luckybackup.pro \
|| die "sed installs failed"
# remove text version - cannot remote HTML version
# as it's used within the application
rm license/gpl.txt || die "rm failed"
default
}
src_configure() {
eqmake5 ${PN}.pro
}
src_install() {
emake INSTALL_ROOT="${D}" install
einstalldocs
}

BIN
app-cdr/Manifest.gz

1
app-cdr/brasero/Manifest

@ -1,2 +1 @@
DIST brasero-3.12.1.tar.xz 3683836 BLAKE2B 46364e387e08c7095a4ef3cf49a705ecff3d209bd44f031c1d841947177197ba65122ad67b12888b778d0cbfae7c107ad5138ecb1bb37ef5ead1953298e93d31 SHA512 c9a78b9bc627f4420f5cf70825aa8de6e42497e63e293a0382916c9cd1a2bb3ae0beb2b95b624b7203ab17dfd8c8bb10c18c16848079b82077663abe34674eda
DIST brasero-3.12.2.tar.xz 3742120 BLAKE2B 42cc60d3f4e26e948321c34f2514172aeac5a1b2624e6b23f27cc9725efd5cf0844a54175161b4c94601bbd5c4a6f18ccdd62353e862eddaab17e0d164f4694c SHA512 14886e772123f179f79d3172b59e21ced990fd8834cd27e8717eb635a75163c44c1d5084818b53da559a0c2ef25e7c0da4a3a7d3781e2ea74b59cfe98987384f

85
app-cdr/brasero/brasero-3.12.1-r1.ebuild

@ -1,85 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
GCONF_DEBUG="no"
GNOME2_LA_PUNT="yes"
inherit eutils gnome2
DESCRIPTION="CD/DVD burning application for the GNOME desktop"
HOMEPAGE="https://wiki.gnome.org/Apps/Brasero"
LICENSE="GPL-2+ CC-BY-SA-3.0"
SLOT="0/3.1" # subslot is 3.suffix of libbrasero-burn3
IUSE="+css +introspection +libburn mp3 nautilus packagekit playlist test tracker"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86"
COMMON_DEPEND="
>=dev-libs/glib-2.29.14:2
>=x11-libs/gtk+-3:3[introspection?]
media-libs/gstreamer:1.0
media-libs/gst-plugins-base:1.0
>=dev-libs/libxml2-2.6:2
>=x11-libs/libnotify-0.6.1:=
media-libs/libcanberra[gtk3]
x11-libs/libICE
x11-libs/libSM
introspection? ( >=dev-libs/gobject-introspection-0.6.3:= )
libburn? (
>=dev-libs/libburn-0.4:=
>=dev-libs/libisofs-0.6.4:= )
nautilus? ( >=gnome-base/nautilus-2.91.90 )
playlist? ( >=dev-libs/totem-pl-parser-2.29.1:= )
tracker? ( >=app-misc/tracker-0.12:0= )
"
RDEPEND="${COMMON_DEPEND}
media-libs/gst-plugins-good:1.0
media-plugins/gst-plugins-meta:1.0
x11-themes/hicolor-icon-theme
css? ( media-libs/libdvdcss:1.2 )
!libburn? (
app-cdr/cdrdao
app-cdr/dvd+rw-tools
virtual/cdrtools )
mp3? (
media-libs/gst-plugins-ugly:1.0
media-plugins/gst-plugins-mad:1.0 )
packagekit? ( app-admin/packagekit-base )
"
DEPEND="${COMMON_DEPEND}
>=dev-util/intltool-0.50
dev-util/itstool
>=dev-util/gtk-doc-am-1.12
sys-devel/gettext
virtual/pkgconfig
test? ( app-text/docbook-xml-dtd:4.3 )
"
# eautoreconf deps
# app-text/yelp-tools
# gnome-base/gnome-common
PDEPEND="gnome-base/gvfs"
src_prepare() {
# https://bugzilla.gnome.org/show_bug.cgi?id=744916
epatch "${FILESDIR}"/${PN}-3.12.1-libdvdcss.patch
gnome2_src_prepare
}
src_configure() {
DOCS="AUTHORS ChangeLog MAINTAINERS NEWS README"
gnome2_src_configure \
--disable-caches \
$(use_enable !libburn cdrtools) \
$(use_enable !libburn cdrkit) \
$(use_enable !libburn cdrdao) \
$(use_enable !libburn growisofs) \
$(use_enable introspection) \
$(use_enable libburn libburnia) \
$(use_enable nautilus) \
$(use_enable playlist) \
$(use_enable tracker search)
}

79
app-cdr/brasero/brasero-3.12.1.ebuild

@ -1,79 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
GCONF_DEBUG="no"
GNOME2_LA_PUNT="yes"
inherit gnome2
DESCRIPTION="CD/DVD burning application for the GNOME desktop"
HOMEPAGE="https://wiki.gnome.org/Apps/Brasero"
LICENSE="GPL-2+ CC-BY-SA-3.0"
SLOT="0/3.1" # subslot is 3.suffix of libbrasero-burn3
IUSE="+css +introspection +libburn mp3 nautilus packagekit playlist test tracker"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86"
COMMON_DEPEND="
>=dev-libs/glib-2.29.14:2
>=x11-libs/gtk+-3:3[introspection?]
media-libs/gstreamer:1.0
media-libs/gst-plugins-base:1.0
>=dev-libs/libxml2-2.6:2
>=x11-libs/libnotify-0.6.1:=
media-libs/libcanberra[gtk3]
x11-libs/libICE
x11-libs/libSM
introspection? ( >=dev-libs/gobject-introspection-0.6.3 )
libburn? (
>=dev-libs/libburn-0.4:=
>=dev-libs/libisofs-0.6.4:= )
nautilus? ( >=gnome-base/nautilus-2.91.90 )
playlist? ( >=dev-libs/totem-pl-parser-2.29.1:= )
tracker? ( >=app-misc/tracker-0.12:0= )
"
RDEPEND="${COMMON_DEPEND}
media-libs/gst-plugins-good:1.0
media-plugins/gst-plugins-meta:1.0
x11-themes/hicolor-icon-theme
css? ( media-libs/libdvdcss:1.2 )
!libburn? (
app-cdr/cdrdao
app-cdr/dvd+rw-tools
virtual/cdrtools )
mp3? (
media-libs/gst-plugins-ugly:1.0
media-plugins/gst-plugins-mad:1.0 )
packagekit? ( app-admin/packagekit-base )
"
DEPEND="${COMMON_DEPEND}
>=dev-util/intltool-0.50
>=dev-util/gtk-doc-am-1.12
sys-devel/gettext
virtual/pkgconfig
test? ( app-text/docbook-xml-dtd:4.3 )
"
# eautoreconf deps
# app-text/yelp-tools
# gnome-base/gnome-common
PDEPEND="gnome-base/gvfs"
src_configure() {
DOCS="AUTHORS ChangeLog MAINTAINERS NEWS README"
gnome2_src_configure \
--disable-caches \
$(use_enable !libburn cdrtools) \
$(use_enable !libburn cdrkit) \
$(use_enable !libburn cdrdao) \
$(use_enable !libburn growisofs) \
$(use_enable introspection) \
$(use_enable libburn libburnia) \
$(use_enable nautilus) \
$(use_enable playlist) \
$(use_enable tracker search) \
ITSTOOL=$(type -P true)
}

2
app-cdr/brasero/brasero-3.12.2.ebuild

@ -12,7 +12,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/Brasero"
LICENSE="GPL-2+ CC-BY-SA-3.0"
SLOT="0/3.1" # subslot is 3.suffix of libbrasero-burn3
IUSE="+css +introspection +libburn mp3 nautilus packagekit playlist test tracker"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"
COMMON_DEPEND="
>=dev-libs/glib-2.29.14:2

18
app-cdr/brasero/files/brasero-3.12.1-libdvdcss.patch

@ -1,18 +0,0 @@
The current version of libdvdcss has removed the dvdcss_interface_2 symbol so
brasero incorrectly assumes it's the wrong version.
https://bugzilla.redhat.com/show_bug.cgi?id=1193628
diff -Naur brasero-3.12.1.orig/plugins/dvdcss/burn-dvdcss.c brasero-3.12.1/plugins/dvdcss/burn-dvdcss.c
--- brasero-3.12.1.orig/plugins/dvdcss/burn-dvdcss.c 2015-11-12 09:48:53.782886516 -0600
+++ brasero-3.12.1/plugins/dvdcss/burn-dvdcss.c 2015-11-12 09:53:03.152656908 -0600
@@ -95,9 +95,6 @@
if (!module)
goto error_doesnt_exist;
- if (!g_module_symbol (module, "dvdcss_interface_2", &address))
- goto error_version;
-
if (!g_module_symbol (module, "dvdcss_open", &address))
goto error_version;
dvdcss_open = address;

2
app-cdr/cdrdao/cdrdao-1.2.3-r4.ebuild

@ -16,7 +16,7 @@ fi
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 ~arm hppa ia64 ~ppc ~ppc64 ~sh sparc x86 ~x86-fbsd"
KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~ppc ~ppc64 ~sh sparc x86 ~x86-fbsd"
IUSE="encode mad vorbis"
COMMON_DEPEND="

2
app-cdr/dvd+rw-tools/dvd+rw-tools-7.1-r3.ebuild

@ -10,7 +10,7 @@ SRC_URI="http://fy.chalmers.se/~appro/linux/DVD+RW/tools/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 ~sh sparc x86 ~amd64-linux ~arm-linux ~x86-linux"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ppc ppc64 ~sh sparc x86 ~amd64-linux ~arm-linux ~x86-linux"
IUSE=""
RDEPEND="virtual/cdrtools"

4
app-cdr/extract-xiso/metadata.xml

@ -1,9 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>vapier@gentoo.org</email>
</maintainer>
<!-- maintainer-needed -->
<longdescription>Tool for extracting and creating optimised Xbox ISO images</longdescription>
<upstream>
<remote-id type="sourceforge">extract-xiso</remote-id>

4
app-cdr/xdvdfs-tools/metadata.xml

@ -1,8 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>vapier@gentoo.org</email>
</maintainer>
<!-- maintainer-needed -->
<longdescription>Tools for manipulating Xbox ISO images</lo